Page MenuHomePhabricator

Supress error in GlobalFunctions.php
Closed, ResolvedPublic

Description

Author: snakehit

Description:
Dear,

I'm busy with creating an extension between SMF(Simple Machines Forum) and MediaWiki working with the current version of 1.11.0. I use the SMF Session to autologin to the wiki, but when doing that, I found the warning that I can't change this in the session while another session is running.

It can be easily fixed with this and will never harm your code.

File: includes/GlobalFunctions.php (line: 2138)

Search:
ini_set ( 'session.save_handler', 'files' );

Replace:
@ini_set ( 'session.save_handler', 'files' );

Like you see is it the @ before the ini_set that hides the warning messages.
Could you consider to fix that in the next version? :-)

Thank in advance.
Snakehit


Version: 1.11.x
Severity: normal

Details

Reference
bz11381

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:55 PM
bzimport set Reference to bz11381.
bzimport added a subscriber: Unknown Object (MLST).
demon added a comment.Sep 24 2007, 3:29 PM

Re-titling bug to make it more clear.

demon added a comment.Sep 19 2008, 5:39 PM

cf bug 11613

demon added a comment.Apr 10 2009, 2:53 PM

Fixed in r49370.